## org.eclipse.datatools.connectivity.oda.design.ui.wizards
Class DataSetWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetWizardBase
              org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSetWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard

    public class DataSetWizard

extends org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetWizardBase

The ODA data set wizard's public class that may be used directly or serves as the base class of the dataSetWizard.class attribute defined in the `org.eclipse.datatools.connectivity.oda.design.ui.dataSource` extension point.
All inherited methods are internal API.

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`DataSetWizard()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSetWizardBase
`getResponseSession, initialize, initialize, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSetWizard

    public DataSetWizard()